from engine import gamestate, player, render, net as network, resources as res, config

from engine.menu import Menu
from engine.constants import *

import pygame
from pygame.locals import *

from OpenGL.GL import *
from OpenGL.GLU import *



###############################################
## Get video and audio options from console
##############################################
config.fullscreen = 0
config.SCREEN_W = 800
config.SCREEN_H = 600
config.music = True

render.init()


####################
## Load resources
####################

resources = res.Resources()

##################
## Display menu
##################

menu = Menu(resources)

stayInMenu = True
while stayInMenu:
	#glClear(GL_COLOR_BUFFER_BIT)
	resources.renderTrain()

	#glEnable(GL_TEXTURE_2D)	
	#glEnable(GL_BLEND)	
	stayInMenu = menu.doMenu()
	
	glFlush()
	pygame.display.flip()
	pygame.time.wait(20)

pygame.quit()